Bug 1094723 - ovirt-iso-uploader - rpmlint check on non-readable config files
Summary: ovirt-iso-uploader - rpmlint check on non-readable config files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-06 11:06 UTC by Sandro Bonazzola
Modified: 2014-05-21 23:25 UTC (History)
6 users (show)

Fixed In Version: rpmlint-1.5-9.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-18 22:55:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Sandro Bonazzola 2014-05-06 11:06:29 UTC
ovirt-iso-uploader.noarch: E: non-readable /etc/ovirt-engine/isouploader.conf 0640L
The file can't be read by everybody. If this is expected (for security
reasons), contact your rpmlint distributor to get it added to the list of
exceptions for your distro (or add it to your local configuration if you
installed rpmlint from the source tarball).

The file has 0640 permissions for fixing bug #1058807 (may contain password)

Comment 1 Ville Skyttä 2014-05-07 20:16:45 UTC
FWIW, http://sf.net/p/rpmlint/code/ci/b2f8742120645dd04d3392f5f0412ad78abf6ab9/

There's also the possibility of shipping rpmlint config snippet in affected packages and filtering this message out in it. It'll obviously take effect only after the package is installed. See for example how mingw-filesystem does it. Ditto for bug 1094734. Or just ignore rpmlint and document in the spec why the permissions are what they are... just my two cents.

Comment 2 Fedora Update System 2014-05-12 19:40:09 UTC
rpmlint-1.5-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpmlint-1.5-9.fc20

Comment 3 Fedora Update System 2014-05-12 19:40:17 UTC
rpmlint-1.5-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpmlint-1.5-9.fc19

Comment 4 Fedora Update System 2014-05-13 05:03:57 UTC
Package rpmlint-1.5-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.5-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6306/rpmlint-1.5-9.fc20
then log in and leave karma (feedback).

Comment 5 Sandro Bonazzola 2014-05-14 14:36:09 UTC
(In reply to Fedora Update System from comment #4)

> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2014-6306/rpmlint-1.5-9.fc20
> then log in and leave karma (feedback).

Looks like the server is not working, but the build worked fine for me on f19.

Comment 6 Fedora Update System 2014-05-18 22:55:13 UTC
rpmlint-1.5-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-05-21 23:25:47 UTC
rpmlint-1.5-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.